net.sourceforge.pmd.benchmark

## Enum Benchmark

- java.lang.Object
- - java.lang.Enum<Benchmark>
  - - net.sourceforge.pmd.benchmark.Benchmark

All Implemented Interfaces:
  Serializable, Comparable<Benchmark>

    public enum Benchmark
    extends Enum<Benchmark>

Author:
  Brian Remedios

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CollectFiles`
`DFA`
`LoadRules`
`MeasuredTotal`
`NonMeasuredTotal`
`Parser`
`Reporting`
`Rule`
`RuleChainRule`
`RuleChainTotal`
`RuleChainVisit`
`RuleTotal`
`SymbolTable`
`TotalPMD`
`TypeResolution`

### Field Summary

Fields
`int` `index`
`String` `name`

### Method Summary

Methods
`static Benchmark` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Benchmark[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Rule

    public static final Benchmark Rule

#### RuleChainRule

    public static final Benchmark RuleChainRule

#### CollectFiles

    public static final Benchmark CollectFiles

#### LoadRules

    public static final Benchmark LoadRules

#### Parser

    public static final Benchmark Parser

#### SymbolTable

    public static final Benchmark SymbolTable

#### DFA

    public static final Benchmark DFA

#### TypeResolution

    public static final Benchmark TypeResolution

#### RuleChainVisit

    public static final Benchmark RuleChainVisit

#### Reporting

    public static final Benchmark Reporting

#### RuleTotal

    public static final Benchmark RuleTotal

#### RuleChainTotal

    public static final Benchmark RuleChainTotal

#### MeasuredTotal

    public static final Benchmark MeasuredTotal

#### NonMeasuredTotal

    public static final Benchmark NonMeasuredTotal

#### TotalPMD

    public static final Benchmark TotalPMD

### Field Detail

#### index

    public final int index

#### name

    public final String name

### Method Detail

#### values

    public static Benchmark[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Benchmark c : Benchmark.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Benchmark valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null